com::lomiri::location::service::Skeleton::CredentialsResolver Struct Referenceabstract

`#include <skeleton.h>`

Inheritance diagram for com::lomiri::location::service::Skeleton::CredentialsResolver:
Collaboration diagram for com::lomiri::location::service::Skeleton::CredentialsResolver:

## Public Types

typedef std::shared_ptr< CredentialsResolver > | Ptr

## Public Member Functions

| CredentialsResolver ()=default
virtual | ~CredentialsResolver ()=default
virtual Credentials | resolve_credentials_for_incoming_message (const core::dbus::Message::Ptr &msg)=0

## Detailed Description

Definition at line 51 of file service/skeleton.h.

## Member Typedef Documentation

## Ptr

typedef std::shared_ptr<CredentialsResolver> com::lomiri::location::service::Skeleton::CredentialsResolver::Ptr

Definition at line 53 of file service/skeleton.h.

## Constructor & Destructor Documentation

## CredentialsResolver()

com::lomiri::location::service::Skeleton::CredentialsResolver::CredentialsResolver | ( |  | ) |

default

## ~CredentialsResolver()

virtual com::lomiri::location::service::Skeleton::CredentialsResolver::~CredentialsResolver | ( |  | ) |

virtual default

## Member Function Documentation

## resolve_credentials_for_incoming_message()

virtual Credentials com::lomiri::location::service::Skeleton::CredentialsResolver::resolve_credentials_for_incoming_message | ( | const core::dbus::Message::Ptr & | msg | ) |

pure virtual

Implemented in com::lomiri::location::service::Skeleton::DBusDaemonCredentialsResolver.

The documentation for this struct was generated from the following file:

- service/skeleton.h